%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)                     
%define php_apiver %((echo %{default_apiver}; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)

%define php_name php

Summary:       The phpredis extension provides an API for communicating with the Redis key-value store.
Name:          %{php_name}-redis
Version:       2.2.1
Release:       2.ru
Epoch:         77

License:       PHP License
Group:         Development/Languages
URL:           https://github.com/nicolasff/phpredis
# wget 'https://github.com/nicolasff/phpredis/tarball/2.1.3' -O phpredis-2.1.3.tar.gz
Source:        phpredis-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: x86_64

Requires:      php-api = %{php_apiver}
Requires:       php(zend-abi) = %{php_zend_api}
BuildRequires: %{php_name}-devel 

%description
The phpredis extension provides an API for communicating with the Redis key-value store.

%prep
%setup -q -c %{name}-%{version}
%{__mv} *phpredis*/* .

%build
%{_bindir}/phpize
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install INSTALL_ROOT=%{buildroot}

# Drop in the bit of configuration
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/redis.ini << 'EOF'
; Enable redis extension module
extension = redis.so
EOF

%check
# Check if the built extension can be loaded
%{_bindir}/php \
    -n -q -d extension_dir=modules \
    -d extension=redis.so \
    --modules | grep -i redis

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CREDITS
%config(noreplace) %{_sysconfdir}/php.d/redis.ini
%{php_extdir}/redis.so

%changelog
* Wed May  8 2013 Russ Frank <russ.frank@rutgers.edu> 77:2.2.1-1.ru
- build for Rutgers

* Tue Jan 18 2011 Builder <umask00@gmail.com> 77:2.1.3-1.el6
- no changelogs
